# Class CIM_SchemaInformationStructure

The CIM_SchemaInformation structure describes information for a specific version of a schema.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_SchemaInformationStructure

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_SchemaInformation structure describes information for a specific version of a schema.
Indication | boolean | true
Structure | boolean | true
UMLPackagePath | string | CIM::Interop::Schema
Version | string | 2.38.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Description | string |
Description | string | The description for this schema.
Name | string |
Description | string | The schema name (as defined in DSP0004). For example, CIM or PRS. NOTE: The schema name shall not include the underscore character.
Required | boolean | true
OwningOrganization | string |
Description | string | The owning organization of the schema. For example, DMTF, SNIA or ACME
Status | uint32 |
Description | string | The status of the schema.
ValueMap | string | 0, 2, 3, ..
Values | string | Unknown, Final, Experimental, DMTF Reserved
URI | string |
Description | string | A URI (see RFC3986) that uniquely identifies this schema version. Note that this is a URI for iddentifying the schema version, not a URL for accessing it. For example, http://schemas.dmtf.org/wbem/cim-schema/2.35.0/.
Version | string |
Description | string | The schema version in M.N.U (Major.Minor.Update) format. For example 2.36.0 or 1.0.0.
Required | boolean | true

## Class Methods